Population (BioJava-1.5-beta API)
Keywords: org.biojavax.ga.Population interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.ga
Interface Population

All Superinterfaces:
  Changeable

All Known Implementing Classes:
  AbstractPopulation, SimplePopulation

    public interface Population

extends Changeable

A collection of GA organisms

Since:
  1.5
Version:
  1.0
Author:
  Mark Schreiber

Field Summary
`static ChangeType` | `NAME`
`static ChangeType` | `ORGANISMS`

Method Summary
`void` | `addOrganism(Organism org)` Adds an Organism to the Population
`void` | `addOrganisms(Organism[] orgs)` Adds several organisms to the population
`void` | `addOrganisms(Population orgs)` Adds the residents of one population to this one
`void` | `addOrganisms(Set orgs)` Adds several organisms to the population
`String` | `getName()`
`Organism` | `getOrganismByName(String name)` Gets the specified organism
`Set` | `getOrganisms()` Gets the Set of Organisms
`Iterator` | `organisms()`
`void` | `removeAllOrganisms()` Removes all the `Organisms` in this `Population`
`void` | `removeOrganism(Organism org)` Kills off the organism
`void` | `removeOrganisms(Organism[] orgs)` Removes all the `Organisms` in `orgs`
`void` | `removeOrganisms(Set orgs)` Removes all the `Organisms` in `orgs`
`void` | `setName(String name)` Sets the name of the population
`int` | `size()` Gets the Size of the population

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### ORGANISMS

    static final ChangeType ORGANISMS

### NAME

    static final ChangeType NAME

Method Detail

### getName

    String getName()

  Returns:
    the name of the population

### setName

    void setName(String name)
                 throws ChangeVetoException

  Sets the name of the population

  Parameters:
    `name` - set the name to this.
  Throws:
    `ChangeVetoException` - if the name may not be changed

### addOrganism

    void addOrganism(Organism org)
                     throws ChangeVetoException,
                            IllegalOrganismException

  Adds an Organism to the Population

  Parameters:
    `org` - the organism
  Throws:
    `ChangeVetoException`
    `IllegalOrganismException` - if for some reason the organism is invalid

### addOrganisms

    void addOrganisms(Organism[] orgs)
                      throws ChangeVetoException,
                             IllegalOrganismException

  Adds several organisms to the population

  Parameters:
    `orgs` - the organisms to add
  Throws:
    `ChangeVetoException`
    `IllegalOrganismException` - if for some reason the organism is invalid

### addOrganisms

    void addOrganisms(Set orgs)
                      throws ChangeVetoException,
                             IllegalOrganismException

  Adds several organisms to the population

  Parameters:
    `orgs` - the organisms to add
  Throws:
    `ChangeVetoException`
    `IllegalOrganismException` - if for some reason the organism is invalid

### addOrganisms

    void addOrganisms(Population orgs)
                      throws ChangeVetoException,
                             IllegalOrganismException

  Adds the residents of one population to this one

  Parameters:
    `orgs` - the population to add
  Throws:
    `ChangeVetoException`
    `IllegalOrganismException` - if for some reason the organism is invalid

### removeOrganism

    void removeOrganism(Organism org)
                        throws ChangeVetoException

  Kills off the organism

  Parameters:
    `org` - the organism to kill
  Throws:
    `ChangeVetoException`

### removeOrganisms

    void removeOrganisms(Organism[] orgs)
                         throws ChangeVetoException

  Removes all the `Organisms` in `orgs`

  Parameters:
    `orgs` - the `Organisms` to remove.
  Throws:
    `ChangeVetoException` - if the change is vetoed

### removeOrganisms

    void removeOrganisms(Set orgs)
                         throws ChangeVetoException

  Removes all the `Organisms` in `orgs`

  Parameters:
    `orgs` - the `Organisms` to remove.
  Throws:
    `ChangeVetoException` - if the change is vetoed

### removeAllOrganisms

    void removeAllOrganisms()
                            throws ChangeVetoException

  Removes all the `Organisms` in this `Population`

  Throws:
    `ChangeVetoException` - if the change is vetoed

### getOrganismByName

    Organism getOrganismByName(String name)

  Gets the specified organism

  Parameters:
    `name` - the name of the organism to retreive
  Returns:
    the organism named or null if that organism doesn't exist.

### getOrganisms

    Set getOrganisms()

  Gets the Set of Organisms

  Returns:
    a Set

### organisms

    Iterator organisms()

  Returns:
    an iterator over the set of Organisms.

### size

    int size()

  Gets the Size of the population

  Returns:
    the size

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD